import type { ExtraHighlights } from './ExtraHighlights';
import type { HistorySummary } from './HistorySummary';
import type { Study } from './Study';
import type { Topics } from './Topics';
/**
 * `study` field values of type `text` and `markup` are html-encoded and may contain `<mark>` tags for highlighting.
 * Highlighting for enums and numbers is provided in `extraHighlights`.
 *
 */
export type StudyDetails = {
    /**
     * Field values of type `text` and `markup` are html-encoded and may contain `<mark>` tags for highlighting.
     *
     */
    study: Study;
    extraHighlights?: ExtraHighlights;
    topics?: {
        GHR?: Topics;
        MedlinePlus?: Topics;
        SIS?: Topics;
        ORD?: Topics;
    };
    history?: HistorySummary;
};
