/**
 * mCODE primary cancer condition profile URL.
 * https://hl7.org/fhir/us/mcode/StructureDefinition-mcode-primary-cancer-condition.html
 */
export declare const MCODE_PRIMARY_CANCER_CONDITION: string;
export declare const MCODE_SECONDARY_CANCER_CONDITION: string;
/**
 * TNM clinical stage group. This was removed in mCODE STU2 but is kept for
 * backwards compatibility reasons. Replaced with {@link MCODE_CLINICAL_STAGE_GROUP}.
 */
export declare const MCODE_TNM_CLINICAL_STAGE_GROUP: string;
/**
 * TNM pathological stage group. This was removed in mCODE STU2 but is kept for
 * backwards compatibility reasons. Replaced with {@link MCODE_CLINICAL_STAGE_GROUP}.
 */
export declare const MCODE_TNM_PATHOLOGICAL_STAGE_GROUP: string;
/**
 * Clinical stage group. Added in mCODE STU2.
 */
export declare const MCODE_CLINICAL_STAGE_GROUP: string;
/**
 * mCode histology morphology behavior extension URL.
 * https://hl7.org/fhir/us/mcode/StructureDefinition-mcode-histology-morphology-behavior.html
 */
export declare const MCODE_HISTOLOGY_MORPHOLOGY_BEHAVIOR: string;
export declare const MCODE_CANCER_GENETIC_VARIANT: string;
export declare const MCODE_TUMOR_MARKER: string;
export declare const MCODE_CANCER_PATIENT: string;
export declare const MCODE_ECOG_PERFORMANCE_STATUS: string;
export declare const MCODE_KARNOFSKY_PERFORMANCE_STATUS: string;
export declare const MCODE_CANCER_RELATED_SURGICAL_PROCEDURE: string;
export declare const MCODE_CANCER_RELATED_MEDICATION_STATEMENT: string;
export declare const MCODE_CANCER_RELATED_RADIATION_PROCEDURE: string;
