"use strict";
// MCode constants
Object.defineProperty(exports, "__esModule", { value: true });
exports.MCODE_CANCER_RELATED_RADIATION_PROCEDURE = exports.MCODE_CANCER_RELATED_MEDICATION_STATEMENT = exports.MCODE_CANCER_RELATED_SURGICAL_PROCEDURE = exports.MCODE_KARNOFSKY_PERFORMANCE_STATUS = exports.MCODE_ECOG_PERFORMANCE_STATUS = exports.MCODE_CANCER_PATIENT = exports.MCODE_TUMOR_MARKER = exports.MCODE_CANCER_GENETIC_VARIANT = exports.MCODE_HISTOLOGY_MORPHOLOGY_BEHAVIOR = exports.MCODE_CLINICAL_STAGE_GROUP = exports.MCODE_TNM_PATHOLOGICAL_STAGE_GROUP = exports.MCODE_TNM_CLINICAL_STAGE_GROUP = exports.MCODE_SECONDARY_CANCER_CONDITION = exports.MCODE_PRIMARY_CANCER_CONDITION = void 0;
const MCODE_STRUCTURE_DEFINITION = 'http://hl7.org/fhir/us/mcode/StructureDefinition/';
/**
 * mCODE primary cancer condition profile URL.
 * https://hl7.org/fhir/us/mcode/StructureDefinition-mcode-primary-cancer-condition.html
 */
exports.MCODE_PRIMARY_CANCER_CONDITION = MCODE_STRUCTURE_DEFINITION + 'mcode-primary-cancer-condition';
exports.MCODE_SECONDARY_CANCER_CONDITION = MCODE_STRUCTURE_DEFINITION + 'mcode-secondary-cancer-condition';
/**
 * TNM clinical stage group. This was removed in mCODE STU2 but is kept for
 * backwards compatibility reasons. Replaced with {@link MCODE_CLINICAL_STAGE_GROUP}.
 */
exports.MCODE_TNM_CLINICAL_STAGE_GROUP = MCODE_STRUCTURE_DEFINITION + 'mcode-tnm-clinical-stage-group';
/**
 * TNM pathological stage group. This was removed in mCODE STU2 but is kept for
 * backwards compatibility reasons. Replaced with {@link MCODE_CLINICAL_STAGE_GROUP}.
 */
exports.MCODE_TNM_PATHOLOGICAL_STAGE_GROUP = MCODE_STRUCTURE_DEFINITION + 'mcode-tnm-pathological-stage-group';
/**
 * Clinical stage group. Added in mCODE STU2.
 */
exports.MCODE_CLINICAL_STAGE_GROUP = MCODE_STRUCTURE_DEFINITION + 'mcode-clinical-stage-group';
/**
 * mCode histology morphology behavior extension URL.
 * https://hl7.org/fhir/us/mcode/StructureDefinition-mcode-histology-morphology-behavior.html
 */
exports.MCODE_HISTOLOGY_MORPHOLOGY_BEHAVIOR = MCODE_STRUCTURE_DEFINITION + 'mcode-histology-morphology-behavior';
exports.MCODE_CANCER_GENETIC_VARIANT = MCODE_STRUCTURE_DEFINITION + 'mcode-cancer-genetic-variant';
exports.MCODE_TUMOR_MARKER = MCODE_STRUCTURE_DEFINITION + 'mcode-tumor-marker';
exports.MCODE_CANCER_PATIENT = MCODE_STRUCTURE_DEFINITION + 'mcode-cancer-patient';
exports.MCODE_ECOG_PERFORMANCE_STATUS = MCODE_STRUCTURE_DEFINITION + 'mcode-ecog-performance-status';
exports.MCODE_KARNOFSKY_PERFORMANCE_STATUS = MCODE_STRUCTURE_DEFINITION + 'mcode-karnofsky-performance-status';
exports.MCODE_CANCER_RELATED_SURGICAL_PROCEDURE = MCODE_STRUCTURE_DEFINITION + 'mcode-cancer-related-surgical-procedure';
exports.MCODE_CANCER_RELATED_MEDICATION_STATEMENT = MCODE_STRUCTURE_DEFINITION + 'mcode-cancer-related-medication-statement';
exports.MCODE_CANCER_RELATED_RADIATION_PROCEDURE = MCODE_STRUCTURE_DEFINITION + 'mcode-cancer-related-radiation-procedure';
