import { Phase, RecruitmentStatus, Status, Study } from './ctg-api';
import { Location, ResearchStudy } from 'fhir/r4';
export declare function convertToResearchStudyPhase(phase: Phase): string | undefined;
export declare function convertClincalStudyStatusToFHIRStatus(status: Status): ResearchStudy['status'] | undefined;
export declare function convertRecruitmentStatusToLocationStatus(status: RecruitmentStatus): Location['status'] | undefined;
/**
 * Updates a research study with data from a clinical study off the ClinicalTrials.gov website. This will only update
 * fields that do not have data, it will not overwrite any existing data.
 *
 * Mapping as defined by https://www.hl7.org/fhir/researchstudy-mappings.html#clinicaltrials-gov
 *
 * @param result the research study to update
 * @param study the clinical study to use to update
 */
export declare function updateResearchStudyWithClinicalStudy(result: ResearchStudy, study: Study): ResearchStudy;
